Bug 143471 - RFE: alternative name for auto.master NIS map
RFE: alternative name for auto.master NIS map
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Moyer
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 06:26 EST by Arenas Belon, Carlo Marcelo
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-16 17:51:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add $AUTOMASTERYPMAP to define the NIS map where the auto.master values is to be found (381 bytes, patch)
2004-12-21 06:29 EST, Arenas Belon, Carlo Marcelo
no flags Details | Diff

  None (edit)
Description Arenas Belon, Carlo Marcelo 2004-12-21 06:26:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
on a multiple OS/arch environment where the served by a single NIS
domain (not the best design but probably pretty common even when using
LDAP based maps), the auto.master NIS map might be different per
architecture (by automounting arch specific binaries and such) and
therefore the posibility of being able to use a different map name for
the auto.master on different servers without the need of changing the
script on /etc/init.d/autofs (which will break further updates) might
be recommended.

attached a very simple patch applied directly to the
/etc/init.d/autofs script which enables such functionality if defined
through a variable named AUTOMASTERYPMAP to be definetd on
/etc/sysconfig/autofs.

a more polished patch would be recommended though, if the same map is
also to be used consistently on the file/ldap sources or if the
transformations trigered through UNDERSCORETODOT are to be generalized.

will provide a better patch to apply to the vanilla sources/fedora cvs
package which will integrate into the currently distributed RPMs if
this proposed solution is considered worth it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to get auto.master from a NIS domain where it is named diferently
2. change the scripts or create a static local file with the expected
auto.master for that domain
3. wait until next package update or change on the auto.master breaks
your setup
    

Actual Results:  agony

Expected Results:  joy

Additional info:
Comment 1 Arenas Belon, Carlo Marcelo 2004-12-21 06:29:53 EST
Created attachment 108936 [details]
patch to add $AUTOMASTERYPMAP to define the NIS map where the auto.master values is to be found

applies to an already installed /etc/init.d/autofs script, not to be used on
the SRPM
Comment 2 Arenas Belon, Carlo Marcelo 2005-01-16 17:51:06 EST
a simple solution which works with the current layout without any
script changes is to use NIS "plus" map references, where the real
value of the auto_master NIS map (assumed the name used for the map
was auto_master_linux) is configured on /etc/auto.master as :

  echo "+auto_master_linux" > /etc/auto.master

Note You need to log in before you can comment on or make changes to this bug.